CREATE TABLE hrt_profiles_b (
    PROFILE_ID                NUMBER(18, 0) ,
    BUSINESS_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    PROFILE_TYPE_ID           NUMBER(18, 0)     NOT NULL,
    PROFILE_CODE              VARCHAR2(120)     NOT NULL,
    PROFILE_STATUS_CODE       VARCHAR2(120)     NOT NULL,
    PROFILE_USAGE_CODE        VARCHAR2(1024)    NOT NULL,
    PERSON_ID                 NUMBER(18, 0) ,
    PARTY_ID                  NUMBER(18, 0) ,
    OWNER_PERSON_ID           NUMBER(18, 0) ,
    CAREER_AMBASSADOR_FLAG    VARCHAR2(120) ,
    REVIEW_REQD_FLAG          VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    PROFILE_ID                NUMBER(18, 0) ,
    BUSINESS_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    PROFILE_TYPE_ID           NUMBER(18, 0)     NOT NULL,
    PROFILE_CODE              VARCHAR2(120)     NOT NULL,
    PROFILE_STATUS_CODE       VARCHAR2(120)     NOT NULL,
    PROFILE_USAGE_CODE        VARCHAR2(1024)    NOT NULL,
    PERSON_ID                 NUMBER(18, 0) ,
    PARTY_ID                  NUMBER(18, 0) ,
    OWNER_PERSON_ID           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CAREER_AMBASSADOR_FLAG    VARCHAR2(120) ,
    REVIEW_REQD_FLAG          VARCHAR2(120) ,
    CONSTRAINT pk_hrt_profiles_b PRIMARY KEY (PROFILE_ID, PROFILE_ID)
);
